# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
BuildRequires: python-devel
# END SourceDeps(oneline)
%define fedora 19
%if 0%{?fedora} < 15 || 0%{?rhel} < 7
%global need_argparse 1
%endif

%if ! (0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif
%{!?pyver: %global pyver %(%{__python} -c "import sys ; print (sys.version[:3])")}

Summary:       Grep-like tool for source code
Name:          grin
Version:       1.2.1
Release:       alt1_6
License:       BSD
Group:         Text tools
URL:           http://pypi.python.org/pypi/grin
Source0:       http://pypi.python.org/packages/source/g/grin/%{name}-%{version}.tar.gz
Patch0:        grin-1.2.1-argparse.patch
%if 0%{?need_argparse}
%endif
BuildArch:     noarch
BuildRequires: python-module-distribute python-module-nose
Source44: import.info

%description

grin is a similar in function to GNU grep, however it's has modified
behaviour to make it simpler to use when grepping source code.

Some features grin feature are:

  * recurse directories by default
  * do not go into directories with specified names
  * do not search files with specified extensions
  * be able to show context lines before and after matched lines
  * Python regex syntax
  * unless suppressed via a command line option, display the filename 
    regardless of the number of files
  * accept a file (or stdin) with a list of newline-separated filenames
  * grep through gzipped text files
  * be useful as a library to build custom tools quickly

%prep
%setup -q
%patch0 -p1
%{__chmod} 0644 examples/*
%{__sed} -i -e '1d' grin.py

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

%check
nosetests

%files
%doc ANNOUNCE.txt examples LICENSE.txt README.txt THANKS.txt
%{_bindir}/%{name}
%{_bindir}/grind
%{python_sitelibdir_noarch}/%{name}.py*
%{python_sitelibdir_noarch}/%{name}-%{version}-py%{pyver}.egg-info/

%changelog
* Wed Mar 13 2013 Igor Vlasenko <viy@altlinux.ru> 1.2.1-alt1_6
- update to new release by fcimport

* Fri Dec 28 2012 Igor Vlasenko <viy@altlinux.ru> 1.2.1-alt1_5
- initial fc import

